<?php

function drive_form_system_theme_settings_alter(&$form, $form_state) {

  $form['settings'] = array(
      '#type' => 'vertical_tabs',
      '#title' => t('Theme settings'),
      '#weight' => 2,
      '#collapsible' => TRUE,
      '#collapsed' => FALSE,
  );

  $form['settings']['home'] = array(
      '#type' => 'fieldset',
      '#title' => t('Homepage settings'),
      '#collapsible' => TRUE,
      '#collapsed' => FALSE,
  );
  $form['settings']['home']['home_tagline'] = array(
      '#type' => 'textarea',
      '#title' => t('Home tagline'),
      '#default_value' => theme_get_setting('home_tagline', 'drive'),
  );

  $form['settings']['social_links'] = array(
      '#type' => 'fieldset',
      '#title' => t('Social links settings'),
      '#collapsible' => TRUE,
      '#collapsed' => FALSE,
  );

  $form['settings']['social_links']['twitter_url'] = array(
      '#type' => 'textfield',
      '#title' => t('Twitter URL'),
      '#default_value' => theme_get_setting('twitter_url', 'drive'),
  );
  $form['settings']['social_links']['facebook_url'] = array(
      '#type' => 'textfield',
      '#title' => t('Facebook URL'),
      '#default_value' => theme_get_setting('facebook_url', 'drive'),
  );
  $form['settings']['social_links']['google_plus_url'] = array(
      '#type' => 'textfield',
      '#title' => t('Google+ URL'),
      '#default_value' => theme_get_setting('google_plus_url', 'drive'),
  );
  $form['settings']['social_links']['linkedin_url'] = array(
      '#type' => 'textfield',
      '#title' => t('LinkedIn URL'),
      '#default_value' => theme_get_setting('linkedin', 'drive'),
  );
  $form['settings']['social_links']['flickr_url'] = array(
      '#type' => 'textfield',
      '#title' => t('Flickr URL'),
      '#default_value' => theme_get_setting('flickr_url', 'drive'),
  );
  $form['settings']['social_links']['vimeo_url'] = array(
      '#type' => 'textfield',
      '#title' => t('Vimeo URL'),
      '#default_value' => theme_get_setting('vimeo_url', 'drive'),
  );
  $form['settings']['social_links']['rss_url'] = array(
      '#type' => 'textfield',
      '#title' => t('RSS URL'),
      '#default_value' => theme_get_setting('rss_url', 'drive'),
  );
  $form['settings']['social_links']['dribble'] = array(
      '#type' => 'textfield',
      '#title' => t('Dribble URL'),
      '#default_value' => theme_get_setting('dribble_url', 'drive'),
  );

  $form['settings']['portfolio'] = array(
      '#type' => 'fieldset',
      '#title' => t('Portfolio settings'),
      '#collapsible' => TRUE,
      '#collapsed' => FALSE,
  );

  $form['settings']['portfolio']['default_portfolio'] = array(
      '#type' => 'select',
      '#title' => t('Default portfolio display'),
      '#options' => array(
          '2c' => 'Portfolio - 2cols',
          '3c' => 'Portfolio - 3cols',
          '4c' => 'portfolio - 4cols',
      ),
      '#default_value' => theme_get_setting('default_portfolio', 'drive'),
  );

  $form['settings']['portfolio']['portfolio_hover'] = array(
      '#type' => 'select',
      '#title' => t('Default portfolio hover effect'),
      '#options' => array(
          'hover-effect1' => 'Hover effect 1',
          'hover-effect2' => 'Hover effect 2',
          'hover-effect3' => 'Hover effect 3',
      ),
      '#default_value' => theme_get_setting('portfolio_hover', 'drive'),
  );


  $form['settings']['portfolio']['default_nodes_portfolio'] = array(
      '#type' => 'select',
      '#title' => t('Number nodes show on portfolio page'),
      '#options' => drupal_map_assoc(array(2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 25, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 100)),
      '#default_value' => theme_get_setting('default_nodes_portfolio', 'drive'),
  );


  $form['settings']['footer'] = array(
      '#type' => 'fieldset',
      '#title' => t('Footer settings'),
      '#collapsible' => TRUE,
      '#collapsed' => FALSE,
  );

  $form['settings']['footer']['footer_copyright_message'] = array(
      '#type' => 'textarea',
      '#title' => t('Footer copyright message'),
      '#default_value' => theme_get_setting('footer_copyright_message', 'drive'),
  );

  $form['settings']['skin'] = array(
      '#type' => 'fieldset',
      '#title' => t('Skin settings'),
      '#collapsible' => TRUE,
      '#collapsed' => FALSE,
  );



  $dir = drupal_get_path('theme', 'drive') . DIRECTORY_SEPARATOR . 'colors-css';

  $files = file_scan_directory($dir, '/.*\.css/');

  $css_files = array();
  if (!empty($files)) {
    foreach ($files as $file) {
      if (isset($file->filename)) {
        $css_files[$file->filename] = $file->filename;
      }
    }
  }



  $form['settings']['skin']['theme_color'] = array(
      '#type' => 'select',
      '#title' => t('Select default color'),
      '#default_value' => theme_get_setting('theme_color', 'drive'),
      '#options' => $css_files,
  );
  $form['settings']['skin']['theme_style'] = array(
      '#type' => 'select',
      '#title' => t('Select theme style'),
      '#default_value' => theme_get_setting('theme_style', 'drive'),
      '#options' => array('noise' => 'Noise', 'white' => 'White'),
  );
}